import { Component, OnInit, ViewEncapsulation, ChangeDetectorRef, AfterViewChecked, ChangeDetectionStrategy } from '@angular/core';

@Component({
  selector: 'neu-slide',
  templateUrl: './neu-slide.component.html',
  styleUrls: ['./neu-slide.component.css'],
  encapsulation: ViewEncapsulation.None,
  changeDetection: ChangeDetectionStrategy.OnPush
})
export class NeuSlideComponent implements OnInit, AfterViewChecked {

  active:boolean = false;

  constructor(private cdRef:ChangeDetectorRef) { }

  ngOnInit(): void {
  }

  ngAfterViewChecked() {
    this.cdRef.detectChanges();
  }

  activate() {
    this.active = true;
  }

  deactivate() {
    this.active = false;
  }

}
